import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { AppRoutingModule } from './app-routng.module';
import { BooksModule } from './books/books.module';
import { NovelsModule } from './novels/novels.module';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule, 
    BooksModule,
    NovelsModule,
    AppRoutingModule
  ],
  declarations: [ AppComponent ],
  providers: [],
  bootstrap: [ AppComponent ],
})
export class AppModule {}
